Attribute VB_Name = "NT4api"
' ============================================================================
' =   Lynx Tecnologia Eletrnica Ltda.                                       =
' =   Projeto:   Drivers / Windows NT4                    Data: 14/ago/1999  =
' =   Programa:  Teste do driver NT4_1232 para Windows NT4.                  =
' =   Mdulo:    NT4api                                                      =
' =   Autor:     Lauro                                                       =
' =   Descrio: Acesso s primitivas do driver NT4_1232.SYS                 =
' =   Verso:    1.0                                                         =
' ============================================================================

' =====================================================
' =              Declarao de constantes             =
' =====================================================

  '----------------------------------------- ieXXXX: Interrupt error status --
  Public Const ieNoError = 0            ' Nenhum erro
  Public Const ieIntOverrun = 1         ' Overrun de interrupo
  Public Const ieAD_Error = 2           ' Error no conversor A/D
  Public Const ieBufOverrun = 3         ' Overflow no buffer de aquisio
  Public Const ieDriver = 100           ' Erro de acesso ao driver
  Public Const ieAcqStop = 101          ' Aquisio no est ativa
  Public Const ieBufSize = 102          ' Dimenso errada do buffer

  '------------------------- seXXXX: Cdigo de erro da WDM_StartAcquisition --
  Public Const seNoError = 0            ' No error
  Public Const seNoSignal = 1           ' Nenhum sinal habilitado



' ============================================================================
' =                         Declarao de Tipos                              =
' ============================================================================

  Type TpAiRange
    Range(0 To 15) As Single
  End Type
  
  Public Const cBufSize = 16384   ' Tamanho do buffer em amostras
  Type TpUserBuf
    Buffer(0 To cBufSize - 1) As Integer
  End Type



' ============================================================================
' =          Primitivas do driver NT4_1232.SYS acessados pela DLL            =
' ============================================================================

'----------------------------------------  Abre o acesso ao driver NT4_1232 --
Declare Function NT4_Open Lib "NT4_1232.DLL" () As Long

'-------------------------------------------------- Fecha o driver NT4_1232 --
Declare Sub NT4_Close Lib "NT4_1232.DLL" ()

'------------------------------------------------- Obtm a verso do driver --
Declare Function NT4_GetVersion Lib "NT4_1232.DLL" _
        (VersionHigh As Byte, VersionLow As Byte) As Byte

'--------------------------------------- Obtm os recursos de E/S analgica --
Declare Function NT4_GetAIO_Caps Lib "NT4_1232.DLL" _
        (TmrClock As Single, nAiChannels As Integer, nAoChannels As Integer, _
         nAiRange As Integer, AiRange As TpAiRange) As Byte

'----------------------------------------- Obtm os recursos de E/S digital --
Declare Function NT4_GetDIO_Caps Lib "NT4_1232.DLL" _
        (nDiPorts As Integer, nBitsDI As Integer, _
         nDoPorts As Integer, nBitsDO As Integer) As Byte

'------------------------------------------------ Limpa a memria de canais --
Declare Sub NT4_Clear_CM Lib "NT4_1232.DLL" ()

'---------------------------------------- Insere canal na memria de canais --
Declare Function NT4_Insert_AI_CM Lib "NT4_1232.DLL" _
        (ByVal Channel As Byte, ByVal iRange As Byte) As Long

'------------------------------ Insere entrada digital na memria de canais --
Declare Function NT4_Insert_DI_CM Lib "NT4_1232.DLL" _
        (ByVal Group As Byte) As Long

'---------------------------------- Preparao da aquisio por interrupo --
Declare Function NT4_AcquisitionSetup Lib "NT4_1232.DLL" _
        (ByVal SampleFreq As Single, ErrorCode As Long) As Long

'--------------------------------------- Inicia a aquisio por interrupo --
Declare Sub NT4_StartAcquisition Lib "NT4_1232.DLL" ()

'------------------------------------- Finaliza a aquisio por interrupo --
Declare Sub NT4_StopAcquisition Lib "NT4_1232.DLL" ()

'----------------------------- Leitura das amostras aquisitadas pelo driver --
Declare Function NT4_GetAcquiredDataVB Lib "NT4_1232.DLL" _
        (ieStatus As Long, nSamples As Long, nSampGot As Long, _
         iLast As Long, UserBuf As TpUserBuf) As Long

'----------------------------------------------- Programa ganho da CAD12/32 --
Declare Function NT4_SetAiRange Lib "NT4_1232.DLL" _
        (ByVal iRange As Byte) As Long

'----------------------------------------- Le entrada analgica da CAD12/32 --
Declare Function NT4_ReadAi Lib "NT4_1232.DLL" _
        (ByVal Channel As Byte, Value As Integer) As Long

'----------------------------------- Escreve em sada analgica da CAD12/32 --
Declare Function NT4_WriteAo Lib "NT4_1232.DLL" _
        (ByVal Channel As Byte, ByVal Value As Integer) As Long

'---------------------------------- Le entrada digital da CAD12/32: P0 e P1 --
Declare Function WDM_ReadDI Lib "WDM_1232.DLL" _
        (ByVal Group As Byte, Value As Integer) As Long

'---------------------------- Escreve em sada digital da CAD12/32: P0 e P1 --
Declare Function NT4_WriteDO Lib "NT4_1232.DLL" _
        (ByVal Group As Byte, ByVal Value As Integer) As Long

Public fMainForm As frmMain


Sub Main()
    Set fMainForm = New frmMain
    fMainForm.Show
End Sub



